## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.utils
Class Images

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.utils.Images

    public class Images

extends java.lang.Object

Utility class to load images

Author:
  Idull

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_CHEATSHEET`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_HELP`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_MAIN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SAVEAS`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SAVEAS_ACTION`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_START`
`static java.lang.String` `IMG_CHEATSHEET`
`static java.lang.String` `IMG_HELP`
`static java.lang.String` `IMG_MAIN`
`static java.lang.String` `IMG_SAVEAS`
`static java.lang.String` `IMG_SAVEAS_ACTION`
`static java.lang.String` `IMG_START`

Constructor Summary
`Images()`

Method Summary
`static org.eclipse.swt.graphics.Image` `get(java.lang.String key)` Returns the image managed under the given key in this registry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_SAVEAS

    public static final java.lang.String IMG_SAVEAS

See Also:
  Constant Field Values

### DESC_SAVEAS

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SAVEAS

### IMG_SAVEAS_ACTION

    public static final java.lang.String IMG_SAVEAS_ACTION

See Also:
  Constant Field Values

### DESC_SAVEAS_ACTION

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SAVEAS_ACTION

### IMG_MAIN

    public static final java.lang.String IMG_MAIN

See Also:
  Constant Field Values

### DESC_MAIN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_MAIN

### IMG_START

    public static final java.lang.String IMG_START

See Also:
  Constant Field Values

### DESC_START

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_START

### IMG_CHEATSHEET

    public static final java.lang.String IMG_CHEATSHEET

See Also:
  Constant Field Values

### DESC_CHEATSHEET

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_CHEATSHEET

### IMG_HELP

    public static final java.lang.String IMG_HELP

See Also:
  Constant Field Values

### DESC_HELP

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_HELP

Constructor Detail

### Images

    public Images()

Method Detail

### get

    public static org.eclipse.swt.graphics.Image get(java.lang.String key)

  Returns the image managed under the given key in this registry.

  Parameters:
    `key` - the image's key
  Returns:
    the image managed under the given key